pgbouncer (1.25.2-1.pgdg26.04+1) resolute-pgdg; urgency=medium

  * Rebuild for resolute-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 09 May 2026 14:09:02 +0200

pgbouncer (1.25.2-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New upstream version 1.25.2.
    - Security
      * Fix CVE-2026-6664: An integer overflow in network packet parsing code
        in PgBouncer before 1.25.2 bypasses a boundary check and can lead to a
        crash. An unauthenticated remote attacker can crash PgBouncer with a
        malformed SCRAM authentication packet.
      * Fix CVE-2026-6665: The SCRAM code in PgBouncer before 1.25.2 did not
        check the return value of strlcat() correctly when building the
        contents of the SCRAM client-final-message. A malicious backend that
        sends a SCRAM server-final-message with a long nonce can trigger a
        stack overflow.
      * Fix CVE-2026-6666: A possible null pointer reference in PgBouncer
        before 1.25.2 could lead to a crash, if a server sends an error
        response without SQLSTATE field.
      * Fix CVE-2026-6667: PgBouncer before 1.25.2 did not perform an
        appropriate authorization check for the KILL_CLIENT admin command. All
        users with access to the administration console (which itself requires
        authorization) could run this command. It would have been correct to
        allow only users listed in the admin_users parameter.
    - Fixes
      * Clarify documentation of default_pool_size parameter.
      * Correct documentation regarding client_tls13_ciphers and
        server_tls13_ciphers.

 -- Christoph Berg <myon@debian.org>  Sat, 09 May 2026 14:09:02 +0200

pgbouncer (1.25.1-1) unstable; urgency=medium

  * New upstream version 1.25.1.
  * Run tests in C.UTF-8.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Dec 2025 19:20:51 +0100

pgbouncer (1.25.0-2) unstable; urgency=medium

  * Run tests with psql -X.
  * Mark test/test_misc.py::test_notify_queue as xfail on big-endian archs.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Nov 2025 14:14:22 +0000

pgbouncer (1.25.0-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New upstream version. (Closes: #1120176)

  [ Christoph Berg ]
  * Cherry-pick: Add missing typedefs for architectures with SIMD support.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Nov 2025 22:39:50 +0100

pgbouncer (1.24.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * B-D on libsystemd-dev on Linux only.

  [ Bradford D. Boyle ]
  * New upstream version 1.24.1.
    - Security
      * Fix CVE-2025-2291: Account for VALID UNTIL in auth_query.
        (Closes: #1103394)
    - Fixes
      * Fix PAM support by reverting pam authentication support in HBA file.
      * Fix bug when decrementing user connection count. This was included in
        the tag of 1.24.0 on GitHub, but the release tarball did not contain
        this fix.
      * Add test_load_balance_hosts.py to the tarball.
      * Fix issues with tests to allow them to be run by Debian packagers.
    - Docs
      * Update auth_query example to set a safe search_path.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Apr 2025 10:21:09 +0200

pgbouncer (1.24.0-3) unstable; urgency=medium

  * Limit to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Mar 2025 17:19:10 +0100

pgbouncer (1.24.0-2) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * Skip tests for Close messages on psycopg < 3.2

  [ Christoph Berg ]
  * Mark test dependencies with <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Mar 2025 15:40:12 +0100

pgbouncer (1.24.0-1) unstable; urgency=medium

  [Bradford D. Boyle]
  * Team upload.
  * New upstream version 1.24.0.

  [Brian Cosgrove]
  * Ensure that the main test suite does in fact run during debbuild (Closes:
    #1085109)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 04 Feb 2025 14:37:23 +0100

pgbouncer (1.23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.1.
    - Fixes:
      * Fix a possible segmentation fault after PgBouncer reloads its
        configuration.
      * Fix all known put_in_order crashes.
      * Add missing files to release tarball that are required for testing.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 03 Aug 2024 10:27:34 +0300

pgbouncer (1.23.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Release

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Thu, 04 Jul 2024 12:45:59 +0200

pgbouncer (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1.
  * B-D on pkgconf.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:23:56 +0200

pgbouncer (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0.
  * Remove lsb-base dependency.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 12:18:10 +0100

pgbouncer (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 15:33:06 +0200

pgbouncer (1.20.1-1) unstable; urgency=medium

  * New Upstream Release
    - Fixes:
      * Fix regression where putting options inside ignore_startup_parameters
        would not ignore unknown parameters inside the options startup
        parameter anymore.
      * Fix confusing typo in the docs.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 27 Sep 2023 08:22:41 +0200

pgbouncer (1.20.0-1) unstable; urgency=medium

  * New upstream version.
    + Deprecates online restart, give up on fixing the service file for it.
      (Closes: #813487)

 -- Christoph Berg <myon@debian.org>  Tue, 25 Jul 2023 16:53:22 +0200

pgbouncer (1.19.1-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Jun 2023 21:14:53 +0200

pgbouncer (1.19.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 22 May 2023 19:38:46 +0200

pgbouncer (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Drop 04ff38b25e patch, included upstream.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 03 Feb 2023 16:14:12 +0100

pgbouncer (1.17.0-4) unstable; urgency=medium

  * Install pgbouncer.service and pgbouncer.socket files from upstream.
    (Closes: #1009025)
  * Cherry-pick 04ff38b25e from upstream to fix tests.
    (Closes: #1021859, but needs 4a6de748d3 in postgresql-15 as well)

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 11:48:31 +0200

pgbouncer (1.17.0-3) unstable; urgency=medium

  * pgbouncer.service: Use /bin/kill to please systemd on bionic.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2022 16:15:28 +0200

pgbouncer (1.17.0-2) unstable; urgency=medium

  * pgbouncer.service: Add ExecReload. Thanks Sean Davis for spotting!

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2022 10:24:53 +0200

pgbouncer (1.17.0-1) unstable; urgency=medium

  * New upstream version.
    + Supports OpenSSL 3. (Closes: #1006526)
  * Add pgbouncer.service and enable systemd notify integration.
  * Remove obsolete README.Debian file. (Closes: #985845)

 -- Christoph Berg <myon@debian.org>  Mon, 04 Apr 2022 12:39:55 +0200

pgbouncer (1.16.1-1) unstable; urgency=medium

  * New upstream version.

    Make PgBouncer acting as a server reject extraneous data after an
    SSL or GSS encryption handshake.

    A man-in-the-middle with the ability to inject data into the TCP
    connection could stuff some cleartext data into the start of a
    supposedly encryption-protected database session.  This could be
    abused to send faked SQL commands to the server, although that would
    only work if PgBouncer did not demand any authentication data.
    (However, a PgBouncer setup relying on SSL certificate
    authentication might well not do so.)

    (Similar to CVE-2021-23214 in the PostgreSQL server.)

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 11:19:53 +0100

pgbouncer (1.16.0-1) experimental; urgency=medium

  [ Magnus Hagander ]
  * Reword package description.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Mar 2021 16:20:43 +0100

pgbouncer (1.15.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Jan 2021 14:59:37 +0100

pgbouncer (1.14.0-1) unstable; urgency=medium

  * New upstream version.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Jul 2020 10:42:54 +0200

pgbouncer (1.13.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop debian/patches/no-sudo, sudo test no longer enabled by default.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Apr 2020 09:28:24 +0200

pgbouncer (1.12.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove unnecessary XS-Testsuite field in debian/control.

  [ Christoph Berg ]
  * test/test.sh: Fix unset $USER, seen in salsa-ci.
  * Update homepage link. Spotted by Diego Arroyo, thanks! (Closes: #958545)

 -- Christoph Berg <myon@debian.org>  Fri, 24 Apr 2020 21:00:46 +0200

pgbouncer (1.12.0-3) unstable; urgency=medium

  * Reenable TLS on 32 bit, only the testsuite was broken.
    Thanks to Julien Cristau for debugging this!

 -- Christoph Berg <myon@debian.org>  Tue, 26 Nov 2019 09:18:46 +0100

pgbouncer (1.12.0-2) unstable; urgency=medium

  * Disable TLS on 32 bit where it is broken.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Nov 2019 21:48:35 +0100

pgbouncer (1.12.0-1) unstable; urgency=medium

  * New upstream version.
  * Use python3 only. (Closes: #943156)

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 13:05:30 +0100

pgbouncer (1.11.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Aug 2019 15:00:58 +0200

pgbouncer (1.10.0-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Add debian/gitlab-ci.yml.
  * debian/tests/connect: Force PostgreSQL to use port 5432.

  [ Marco Nenciarini ]
  * New upstream version.
  * debian/patches/python3: refresh patch
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Doc switched to markdown. Update Build-Depends accordingly:
    - python3-docutils
    + python
    + pandoc

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 02 Jul 2019 10:31:34 +0200

pgbouncer (1.9.0-2) unstable; urgency=medium

  * Generate -dbg packages on older distibutions

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 25 Oct 2018 00:51:08 +0200

pgbouncer (1.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Use python3 for docutils and etc/mkauth.py.
  * Drop postgresql-server-dev-all test dependency.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Aug 2018 19:48:24 +0200

pgbouncer (1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Enable PAM support.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Dec 2017 20:53:27 +0100

pgbouncer (1.7.2-65-g2b8e6cf-1) unstable; urgency=medium

  * New upstream snapshot, supports openssl 1.1. Closes: #859551.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Nov 2017 18:38:18 +0100

pgbouncer (1.7.2-3) unstable; urgency=medium

  [ Christoph Berg ]
  * Retire Bernd from Uploaders on his request. Thanks!

  [ Marco Nenciarini ]
  * Switch DNS backend from evdns2 to c-ares

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 29 Jun 2017 12:11:10 +0200

pgbouncer (1.7.2-2) unstable; urgency=medium

  * Build-Depend on libssl1.0-dev. Closes: #828496.
  * Build-Depend on ca-certificates to correctly pick up
    /etc/ssl/certs/ca-certificates.crt. Closes: #819178.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 14 Nov 2016 10:17:30 +0100

pgbouncer (1.7.2-1) unstable; urgency=medium

  * New upstream version.
    + Fixes online restart. (Though we still don't support it with systemd.)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 26 Feb 2016 16:54:36 +0100

pgbouncer (1.7.1-2) unstable; urgency=medium

  * Set V=1 to get verbose build output.
  * Grab patch from libusual upstream to make linking order reproducible.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 24 Feb 2016 15:29:38 +0100

pgbouncer (1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Disable online restart test, it's broken with systemd (#813487), and
    racy otherwise.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Feb 2016 19:14:37 +0100

pgbouncer (1.7-1) unstable; urgency=medium

  * New upstream version with SSL support.  Closes: #810816.
  * Start on installation, remove START=0 from /etc/default/pgbouncer.
    Closes: #804158.
  * Convert d/rules to dh.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 15 Jan 2016 15:40:07 +0100

pgbouncer (1.6.1-1) unstable; urgency=medium

  * Security fix release:
    New auth_user functionality introduced in 1.6 allows login as auth_user
    when client presents unknown username. It's quite likely auth_user is
    superuser. Affects only setups that have enabled auth_user in their
    config.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 04 Sep 2015 16:48:18 +0200

pgbouncer (1.6-1) unstable; urgency=medium

  * New upstream version.
  * Support running under different group via RUNASUSER in the init script.
    Closes: #768261, thanks to Antti Salmela for the patch.
  * Update watch file.
  * Note CVE number in last changelog entry.

 -- Christoph Berg <myon@debian.org>  Wed, 26 Aug 2015 22:20:45 +0200

pgbouncer (1.5.5-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Fix remote crash - invalid packet order causes lookup of NULL pointer.
      Not exploitable, just DoS. (CVE-2015-4054)
  * Update watch file to point at http://pgbouncer.github.io/downloads/.

 -- Christoph Berg <myon@debian.org>  Wed, 20 May 2015 22:29:10 +0200

pgbouncer (1.5.4-8) unstable; urgency=medium

  * debian/tests/connect: Avoid systemctl redirection of our init script, so
    that pgbouncer and its socket stay within the pg_virtualenv mounts.

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Mar 2015 13:18:54 +0100

pgbouncer (1.5.4-7) unstable; urgency=medium

  * Remove build timestamp from DBGVER to make binary builds reproducible.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 03 Feb 2015 10:23:13 +0100

pgbouncer (1.5.4-6) unstable; urgency=low

  * Fix duplicate install file which caused pgbouncer.ini to get lost.
  * Fix connect test not to rely on userlist.txt to exist.
  * Bump to compat 9.
  * Set team as Maintainer.

 -- Christoph Berg <myon@debian.org>  Wed, 16 Jul 2014 17:48:55 +0300

pgbouncer (1.5.4-5) unstable; urgency=low

  * Add autotools-dev to build dependencies, per Lintian
  * Update standards version
  * Install mkauth.py script (closes: #748108)
  * Remove stray debugging command left in init script
  * Handle situation where running server cannot be contacted during
    restart, for example because port number was changed (closes: #729465)

 -- Peter Eisentraut <petere@debian.org>  Mon, 07 Jul 2014 21:08:07 -0400

pgbouncer (1.5.4-4) unstable; urgency=low

  * Use PGUSER/PGPASSWORD in debian/tests/connect; unset TMPDIR.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jun 2013 13:11:40 +0200

pgbouncer (1.5.4-3) experimental; urgency=low

  [ Peter Eisentraut ]
  * Use log_daemon_msg and log_end_msg to print output from init script.
  * Fix watch file (from Bart Martens <bartm@debian.org> via
    qa.debian.org)
  * Disable silent make rules, per buildd log scanner

  [ Christoph Berg ]
  * On restart, loop until the PID of the process changed instead of sleeping
    a fixed time.  Closes: #698942.
  * Do not use start-stop-daemon --status yet as it is not available in
    squeeze.  Use ssd --stop --signal 0 instead.
  * debian/tests/connect: Test online restart.

 -- Christoph Berg <myon@debian.org>  Fri, 22 Mar 2013 15:27:42 +0100

pgbouncer (1.5.4-2) experimental; urgency=low

  * Add autopkgtest support.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Jan 2013 16:32:47 +0100

pgbouncer (1.5.4-1) experimental; urgency=low

  * New upstream release.
  * Add .gitignore file.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Dec 2012 10:10:16 +0100

pgbouncer (1.5.3-1) experimental; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Oct 2012 19:24:30 +0200

pgbouncer (1.5.2-3) unstable; urgency=low

  * Re-add check for START=0 in the init script.  Spotted by Sergey Burladyan.
    Closes: #687577.
  * Repository moved to git.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Oct 2012 19:16:34 +0200

pgbouncer (1.5.2-2) unstable; urgency=low

  * Init script: Use --oknodo.  Closes: #681978.
    Create /var/run/postgresql when missing.  Closes: #681372.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Jul 2012 13:12:23 +0200

pgbouncer (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Jun 2012 17:52:32 +0200

pgbouncer (1.5.1-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Remove duplicate userlist.txt from doc directory

  [ Christoph Berg ]
  * Replace lsb init functions with plain echo. Spotted by Alexey Potehin.
  * Refresh debian-changes patch, most of our changes went upstream.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Apr 2012 14:31:35 +0200

pgbouncer (1.5-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Update watch file to allow .tar.gz in addition to .tgz
  * Remove obsolete README.source and repack support in watch file

  [ Christoph Berg ]
  * New upstream release.
  * Use start-stop-daemon for stopping the daemon.  Closes: #641568.
  * Use pgbouncer -R to restart in place, thanks Cody Cutrer for the patch.
    Closes: #657204.
  * Update URL in README.Debian.  Closes: #655283.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Jan 2012 17:40:22 +0100

pgbouncer (1.4.2-2) unstable; urgency=low

  * Honor START=0 for the restart action.  Patch by Chris Lamb, thanks!
    Closes: #640796.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Sep 2011 09:45:23 +0200

pgbouncer (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Jun 2011 15:41:53 +0200

pgbouncer (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Remove the endian patch, implemented upstream.
  * Use source format 3.0 (quilt) because the upstream tarball has its own
    debian/ dir. Ignore lib/usual/config.h in source/options.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Apr 2011 13:42:40 +0200

pgbouncer (1.4-2) unstable; urgency=low

  * Add myself as maintainer.
  * Use the system endian.h on *bsd. Closes: #619676
  * Add quilt to Build-Depends.
  * Move debian/config.patch to quilt and comment out example databases in
    config file.
  * Update long description.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Mar 2011 17:29:39 +0200

pgbouncer (1.4-1) unstable; urgency=low

  * New upstream release.
  * Remove .orig file after patching pgbouncer.ini

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Feb 2011 13:26:29 +0100

pgbouncer (1.3.3-2) unstable; urgency=low

  * Added myself to uploaders
  * Fixed debian/copyright to match reality
  * Updated standards version
  * Install configuration files with more secure permissions (closes: #548887)

 -- Peter Eisentraut <petere@debian.org>  Thu, 05 Aug 2010 21:57:00 +0300

pgbouncer (1.3.3-1) unstable; urgency=low

  * New upstream version.
  * Bumping Standards-Version to 3.8.4, no changes needed.
  * Removing dpatch - no patches needed anymore since several releases.
  * Use source format 1.0 for easy backporting.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 May 2010 03:15:41 +0200

pgbouncer (1.3.2-1) unstable; urgency=low

  * New upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Mar 2010 23:10:02 +0100

pgbouncer (1.3.1-3) unstable; urgency=low

  * Really change the init script now - unfortunately the old one found
    its way back into the package.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Jan 2010 12:24:34 +0100

pgbouncer (1.3.1-2) unstable; urgency=low

  * Chaging Section to database, which is the new section for
    database related tools.
  * Require $remote_fs on start/stop in the init script. (Lintian:
    init.d-script-missing-dependency-on-remote_fs)
  * Use pgbouncer as the name the init script provides instead
    of pgbouncer2. (Lintian: init.d-script-does-not-provide-itself)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Jan 2010 00:55:35 +0100

pgbouncer (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/init: Use reload instead of restart when force-reload
    was called, thanks to Peter Eisentraut for the bug report.
    Closes: #538006
  * Ensure that pgbounce stops, even if clients are connected.
    Thanks to Cyril Bouthors for the patch. Closes: #523066
  * Bumping Standards-Version to 3.8.2, no changes needed.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 23 Jul 2009 16:23:52 +0200

pgbouncer (1.3-1) unstable; urgency=low

  [ Fernando Ike de Oliveira ]
  * New upstream release.
  * debian/init:
    - pgbouncer.log and start script duplicated start message were removed.
    - patch that change pgbouncer to port 6432 (default upstream) was removed
  * debian/config.patch.
    - pgbouncer.ini patch new version was fixed.
  * win32 directory was removed from the original source code.

  [ Bernd Zeimetz ]
  * debian/watch, debian/uscan-repack.sh: Adding script to repackage upstream
    source with uscan automatically. The included debian and win32 dir will
    be removed.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Mar 2009 03:48:18 +0100

pgbouncer (1.2.3-2) unstable; urgency=low

  * debian/control:
    - pgbouncer needs a versioned dependency on libevent-dev (>= 1.3b).
  * debian/init:
    - Implementing reload by sending SIGHUP to the daemon.
    - Better start/stop log messages.
  * debian/default:
    - Explain how to change the daemon options.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 30 Sep 2008 10:42:06 +0200

pgbouncer (1.2.3-1) unstable; urgency=low

  [ Fernando Ike de Oliveira ]
  * New upstream Release.
  * Change listen port to 5433.
  * Added fields Enhances and Conflicts.

  [ Bernd Zeimetz ]
  * Changes done by Fernando Ike de Oliveira, but without a proper
    changelog entry:
    - The new upstream release closes: #499531
    - debian/control: Depend on postgresql-common to make sure the postgres
      user exists (Closes: #499521).
    - Fixed init script, not using -n option anymore (Closes: #499522)
    - Bumping Standards-Version to 3.8.0
  * Adding myself to Uploaders.
  * The following changes are a general cleanup of the package,
    unfortunately these things were never detected by the former
    sponsor. Sorry Fernando, but I also have to revert some of your
    recent changes.
    - debian/control:
      * Fixing the long description, removing the copy of the short
        description from it and switch to a better indenting.
      * Adding python as Build-Dependency, upstream is using it to
        fix the generated manpages.
      * Removing extra blank lines.
      * pgbouncer supports PostgreSQL versions 7.4 and higher, changing the
        Enhances field accordingly.
      * Dropping Conflicts field again. It's not a problem to install
        pgpool/pgpool2 on the same machine with pgbouncer.
      * Lowering the Dependency on lsb-base, 3.1 is enough to support
        the new init script.
    - debian/rules:
      * Don't gzip examples manually, dh_compress will handle it according to
        the policy.
      * Dropping DEB_INSTALL_MANPAGES_pgbouncer definition, upstream installs
        the manpages into the right place.
      * Don't include /usr/share/cdbs/1/rules/utils.mk and
        /usr/share/cdbs/1/rules/buildcore.mk, cdbs takes care of that.
      * DEB_UPDATE_RCD_PARAMS: pgbouncer should start *after* PostgreSQL and
        needs to stop before it. Changing to 'defaults 20 18' therefore.
      * Don't install pgbouncer.ini.examples in the doc directory, use
        dh_installexamples to install into the examples directory instead.
      * Create an empty userlist.txt in /etc/pgbouncer
    - debian/pgbouncer.8:
      * Dropping file, upstream provides a manpage.
    - debian/init:
      * renaming debian/init.d to debian/init - that's the filename
        dh_installinit takes care of.
      * Respect the setting of 'START' in /etc/default/pgbouncer. The option
        was ignored completely.
    - debian/install:
      * Renamed from pgbouncer.install.
      * Don't install an example userlist to /etc. File will be touched in
        debian/rules. Install it as example instead.
    - debian/examples:
      * Adding file, installing ini-file and userlist example.
    - debian/config.patch, debian/patches/default-port.dpatch:
      * Changing default port to 6432 as upstream's default conflicts with
        X11. 5433 is also a bad choice as postgres instances may use
        this port dynamically.
    - debian/patches/01_configtxt:
      * Dropping patch, not needed anymore.
    - debian/patches/00list:
      * Updated accordingly.
    - debian/README.source:
      * Adding file to make the package conform to Standards Version 3.8.0.
    - debian/default:
      * Adding short explanation.
    - debian/README.Debian
      * Several spelling fixes.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 26 Sep 2008 18:47:34 +0200

pgbouncer (1.1.2.1-1) unstable; urgency=low

  * Change section contrib to main and regenerate
  .orig.tar.gz.(Closes: #474288)
  * Fix error in script pgbouncer.prerm changed init.d to similar
  pgpool2. (Closes: #471114)
  * Change dependency to "$shlibs:Depends". (Closes: #461383)
  * Build instead postgresql-8.3 (Closes: #474283)
  * Added suggest dependency postgresql package.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 05 Aug 2008 14:31:58 -0300

pgbouncer (1.1.2-1) unstable; urgency=low

  * Initial Release. (Closes: #427238)

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Wed, 12 Dec 2007 16:22:15 -0200
